"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TemperatureSensor = void 0;
var utils_1 = require("../utils");
var TemperatureSensor = /** @class */ (function () {
    function TemperatureSensor(devAddr, mcuId) {
        this.devAddr = devAddr;
        this.mcuId = mcuId;
        this.type = "Temperature";
    }
    TemperatureSensor.prototype.getData = function () {
        return {
            DevAddr: this.devAddr,
            Type: this.type,
            MCU_ID: this.mcuId,
            Value: "" + (0, utils_1.randomNumberInRange)(0.0, 50.0, false),
            Unit: "C"
        };
    };
    return TemperatureSensor;
}());
exports.TemperatureSensor = TemperatureSensor;
