import { TimeDomainData, RMSSpeedData, AccPeakData, FreqData } from "../Types";
import { Sensor } from "./Sensor";
export declare class VelocitySensor implements Sensor {
    devAddr: string;
    mcuId: string;
    private types;
    private statuses;
    private MAX_VALUE;
    constructor(devAddr: string, mcuId: string);
    private getRandomStatus;
    private getTimeDomainDataInfo;
    private getRMSSpeedStatus;
    private getAccPeakStatus;
    private getFreqData;
    getData(): (TimeDomainData | RMSSpeedData | AccPeakData | FreqData)[];
}
